%define name gkrellm-plugins
%define version 2.1.7a
%define release 2mdk

Name:		%{name}
Summary:	Plugins for gkrellm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://gkrellm.net/
Source0:	%{name}.tar.bz2
Source1:	gkrellmms-2.1.7.tar.bz2
Source2:	gkrellm-volume-2.1.7.tar.bz2
Source3:	gkrellm-mailwatch-2.0.tar.bz2
Source4:	gkrellmitime-1.0.tar.bz2
Source5:	gkrellstock-0.5.tar.bz2
Source6:	gkrellshoot-0.4.1.tar.bz2
Source7:	gkrellmss-2.3.tar.bz2
Source8:	gkrellmwireless-2.0.2.tar.bz2
Source9:	gkrellm-radio-2.0.2.tar.bz2
Source10:	gkrellkam_2.0.0.tar.bz2
Source11:      gkrellweather-2.0.5.tar.bz2
Source12:      gkrellm-fmonitor-2.0.2.tar.bz2
Source13:      gkrellm-reminder-2.0.0.tar.bz2
Source14:      gkrellmoon-0.6.tar.bz2
Source15:      gkrellm_snmp-0.18.tar.bz2
Patch1:                gkrellm_snmp-0.18-gtk2.patch.bz2
Source16:      gkleds-0.8.0.tar.bz2
Source17:      gkrellmbgchg2-0.0.4.tar.bz2
Source18:      gkrellsun-0.9.1.tar.bz2
Source19:      gkx86info0.0.2.tar.bz2
Source20:      seti-0.7.0b.tar.bz2
Patch2:                seti-0.7.0b-gkrellm2.patch.bz2
Source21:      gkrellm-hddtemp-0.2-beta.tar.bz2

Requires:	gkrellm = %{version}
# needed for gkrellshoot
Requires:   ImageMagick
# needed for gkrellkam
Requires:   wget
#Requires:	perl-Finance-Quote (eventual, for gkrellstock)
#%ifarch ppc
#Requires: pmud
#%endif
BuildRequires:	gkrellm-devel = %{version}, xmms-devel, libsnmp-devel, libgtk+2.0-devel, liblirc-devel, libfftw-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * gkrellmms, controls xmms
  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellmitime, displays internet time
  * gkrellStock, a stock monitor (requires perl-Finance-Quote)
  * gkrellShoot, a screen locker and screen capture krell
  * gkrellmss, sound scope
  * gkrellmwireless, monitors the link quality of a wirless LAN card
  * gkrellm-radio, radio tuner interface
  * gkrellkam, monitor static images such as webcams
  * gkrellweather, checks and reports weather conditions
  * fmonitor, displays contents of files
  * reminder, a cron-lick scheduler
  * gkrellm_snmp, SNMP monitor
  * gkleds, plugin which monitors CapsLock, NumLock, ScrollLock
  * gkrellmbgchg, Change your background on a schedule
  * gkrellsun, Sunrise and Sunset display
  * gkx86info, Calculates Mhz/Ghz of processor
  * gkrellmoon, shows the phases of the moon
  * seti, displays information about your seti progress
  * gkrellm-hddtemp, displays temperatures of hard disks

It also includes fetcho, a slim POP3-checking email client that can be used
instead of fetchmail.

%prep
%setup -q -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%setup -q -T -D -c -a 7 -n %{name}
%setup -q -T -D -c -a 8 -n %{name}
%setup -q -T -D -c -a 9 -n %{name}
%setup -q -T -D -c -a 10 -n %{name}
%setup -q -T -D -c -a 11 -n %{name}
%setup -q -T -D -c -a 12 -n %{name}
%setup -q -T -D -c -a 13 -n %{name}
%setup -q -T -D -c -a 14 -n %{name}
%setup -q -T -D -c -a 15 -n %{name}
%setup -q -T -D -c -a 16 -n %{name}
%setup -q -T -D -c -a 17 -n %{name}
%setup -q -T -D -c -a 18 -n %{name}
%setup -q -T -D -c -a 19 -n %{name}
%setup -q -T -D -c -a 20 -n %{name}
%setup -q -T -D -c -a 21 -n %{name}

(cd $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18
%patch1 -p1 -b .gtk2 
)
# Fix the path for the GrabWeather command
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-2.0.5
perl -pi -e 's#/usr/local/bin#%{_bindir}#g; s#/usr/share/gkrellm#%{_bindir}#g;' gkrellweather.c
)
(cd $RPM_BUILD_DIR/%{name}/seti-0.7.0b
%patch2 -p1 -b .gtk2
)

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

(cd $RPM_BUILD_DIR/%{name}
# unsupported now?
gcc $RPM_OPT_FLAGS -o fetcho fetcho-pop-2.c
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmms
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-volume
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-mailwatch
make 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmitime-1.0
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellStock-0.5
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellShoot-0.4.1
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmss-2.3
make 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmwireless
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-radio
make WITH_LIRC=1
)

(cd $RPM_BUILD_DIR/%{name}/gkrellkam-2.0.0
make
)
(cd $RPM_BUILD_DIR/%{name}/gkleds-0.8.0
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-0.0.4
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-2.0.2
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmoon-0.6
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-reminder-2.0.0
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-volume
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellsun-0.9.1/src20
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-2.0.5
make
)
%ifarch %ix86
(cd $RPM_BUILD_DIR/%{name}/gkx86info0.0.2
./build
)
%endif
(cd $RPM_BUILD_DIR/%{name}/seti-0.7.0b
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-0.2-beta
make gkrellm2
)


%install
mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins
mkdir -p %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fetcho %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmms/gkrellmms.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-volume/volume.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-mailwatch/mailwatch.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmitime-1.0/gkrellm_itime.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-0.5/gkrellstock.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-0.5/GetQuote2 %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellShoot-0.4.1/gkrellshoot.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmss-2.3/src/gkrellmss.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmwireless/wireless.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-radio/radio.so  %{buildroot}%{_libdir}/gkrellm2/plugins
(cd $RPM_BUILD_DIR/%{name}/gkrellkam-2.0.0
%makeinstall_std
)
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-2.0.5/gkrellweather.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-2.0.5/GrabWeather %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-2.0.2/fmonitor.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-2.0.2/sensors.tcl %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-reminder-2.0.0/reminder.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18/gkrellm_snmp.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkleds-0.8.0/gkleds.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-0.0.4/gkrellmbgchg.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellsun-0.9.1/src20/gkrellsun.so %{buildroot}%{_libdir}/gkrellm2/plugins
%ifarch %ix86
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkx86info0.0.2/gkx86info.so %{buildroot}%{_libdir}/gkrellm2/plugins
%endif
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmoon-0.6/gkrellmoon.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/seti-0.7.0b/seti.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-0.2-beta/gkrellm-hddtemp.so %{buildroot}%{_libdir}/gkrellm2/plugins


# setup various docs
cp $RPM_BUILD_DIR/%{name}/gkrellStock-0.5/README $RPM_BUILD_DIR/%{name}/README.gkrellStock
cp $RPM_BUILD_DIR/%{name}/gkrellmss-2.3/README $RPM_BUILD_DIR/%{name}/README.gkrellmss
cp $RPM_BUILD_DIR/%{name}/gkrellmss-2.3/Themes $RPM_BUILD_DIR/%{name}/Themes.gkrellmss
cp $RPM_BUILD_DIR/%{name}/gkrellm-radio/README $RPM_BUILD_DIR/%{name}/README.gkrellm-radio
cp $RPM_BUILD_DIR/%{name}/gkrellm-radio/lirc.example $RPM_BUILD_DIR/%{name}/gkrellm-radio.lirc.example
cp $RPM_BUILD_DIR/%{name}/gkrellkam-2.0.0/README $RPM_BUILD_DIR/%{name}/README.gkrellkam
cp $RPM_BUILD_DIR/%{name}/gkrellweather-2.0.5/README $RPM_BUILD_DIR/%{name}/README.gkrellweather
cp $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-2.0.2/README $RPM_BUILD_DIR/%{name}/README.gkrellm-fmonitor
cp $RPM_BUILD_DIR/%{name}/gkrellm-reminder-2.0.0/README $RPM_BUILD_DIR/%{name}/README.gkrellm-reminder
cp $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18/README $RPM_BUILD_DIR/%{name}/README.gkrellm_snmp
cp $RPM_BUILD_DIR/%{name}/gkrellm_snmp-0.18/FAQ $RPM_BUILD_DIR/%{name}/FAQ.gkrellm_snmp
cp $RPM_BUILD_DIR/%{name}/gkleds-0.8.0/README $RPM_BUILD_DIR/%{name}/README.gkleds
cp $RPM_BUILD_DIR/%{name}/gkleds-0.8.0/Themes $RPM_BUILD_DIR/%{name}/Themes.gkleds
chmod a+r-x $RPM_BUILD_DIR/%{name}/*.gkleds
cp $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-0.0.4/README $RPM_BUILD_DIR/%{name}/README.gkrellmbgchg2
cp $RPM_BUILD_DIR/%{name}/gkrellsun-0.9.1/README $RPM_BUILD_DIR/%{name}/README.gkrellsun
%ifarch %ix86
cp $RPM_BUILD_DIR/%{name}/gkx86info0.0.2/README $RPM_BUILD_DIR/%{name}/README.gkx86info
%endif 
cp $RPM_BUILD_DIR/%{name}/gkrellmoon-0.6/README $RPM_BUILD_DIR/%{name}/README.gkrellmoon
chmod a+r $RPM_BUILD_DIR/%{name}/README.gkrellmoon
cp $RPM_BUILD_DIR/%{name}/seti-0.7.0b/README $RPM_BUILD_DIR/%{name}/README.seti
cp $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-0.2-beta/README $RPM_BUILD_DIR/%{name}/README.gkrellm-hddtemp




%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}


%files 
%defattr(-,root,root,0755) 
%doc README.* *.example FAQ.* Themes.*
#%doc Themes.gkrellmss
%{_libdir}/gkrellm2/plugins/* 
%{_bindir}/fetcho 
%{_bindir}/GetQuote2
%{_bindir}/GrabWeather
%{_bindir}/sensors.tcl


%changelog
* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-2mdk
- %%ix86 sucks, gkx86info does not exist on ppc/alpha/sparc

* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7a-1mdk
- rebuild against gkrellm 2.1.7a

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.1.5-2mdk
- changes from Ben Reser:
  - Lots of new goodies:
    gkrellweather 2.0.5
    fmonitor 2.0.2
    reminder 2.0.0
    gkrellm_snmp 0.18 (patched for gkrellm2)
    gkleds 0.8.0
    bkrellmbgchg2 0.0.4
    gkrellsun 0.9.1
    gkx86info 0.0.2
    gkrellmoon 0.6
  - Removed uneeded ppc pmud requires since there is
    no pmud plugin for gkrellm2 :(
  - Updated gkrellmss to 2.3 and re-enabled it now that fftw is
    in contrib
  - Updated gkrellmvolume & gkrellmms to 2.1.7
  - Cleanup so package no longer uses /usr/X11R6

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Recompiled against gkrellm 2.1.5
- Remove old prefix, since main package don't use it anymore
- gkrellmms 2.1.6
- gkrellm-volume 2.1.6
- gkrellm-mailwatch 2.1
- gkrellmss 2.3
- gkrellmwireless 2.0.2
- gkrellm-radio 2.0.2

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Add gkrellkam2 2.0.0
- Fix build for gkrellmitime
- Remove obsolete build lines for gkrellm-gnome
- Fix dependencies

* Wed Oct 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.0.4-1mdk
- gkrellm-volume 2.1.4
- gkrellmms 2.1.2
- gkrellm-mailwatch 2.0
- gkrellmwireless 2.0.0
- gkrellm-radio 2.0.1
- gkrellmitime 1.0
- gkrellstock 0.5
- gkrellshoot 0.4.1
- gkrellmss 2.0 (disabled currently)
- remove all 1.x plugins not ported to 2.x

* Thu Oct 03 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.13-2mdk
- gkleds 0.6.1

* Sat Aug 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.13-1mdk
- rebuild for 1.2.13
- gkrellkam-0.3.4
- gkrellm-radio-0.3.3
- Requires: wget (for gkrellkam)
- more macros
- BuildRequires: liblirc-devel

* Mon May 06 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.11-1mdk
- rebuild for 1.2.11
- gkrellmms 0.5.6
- new gktaskman-0.0.7
- new gkrelmwireless-0.2.2

* Thu Jan 31 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.8-1mdk
- rebuild for 1.2.8
- Requires: gnome-libs-devel
- Requires: s/ucd-snmp-devel/libsnmp-devel/

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- rebuild for 1.2.4 by Ryan T. Sammartino <ryants@shaw.ca>

* Sun Sep 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.2.2-1mdk
- rebuild for 1.2.2
- need to define IMLIB_INCLUDE and GTK_INCLUDE in spec so can use
  optimization for all krells
- updated mailwatch to 0.7
- lots of new goodies:
  - fmonitor 0.3
  - gkrellmitime 0.4
  - gkrellscore 0.0.2
  - glogwatch 1.0
  - gkrellstock 0.2 
  - gkrellshoot 0.2
  - gkrinn 0.5-1
  - gkrellmwho 0.4
  - reminder 0.3.1
  - gkrellmoon 0.3
  - gkrellm_snmp 0.18
  - gkrellmss 0.2

* Wed Aug  9 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-1mdk
- rebuild for 1.2.1 - move plugins to /usr/lib/gkrellm per FHS
- add gkrellm-pmu, gkrellm-gnome (marc heckmann)

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- rebuild for 1.0.8
- updated plugins

* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- rebuild for 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- rebuild for 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- rebuild for 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- rebuild for 1.0.4
- plugin_fan compiles again so it's back in

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- rebuild for 1.0.3
- remove the plugin_fan plugin...  doesn't look like it's supported anymore
  and it won't build anymore either

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- build for 1.0.2
- rename primary sourcefile so it has no version (silly to keep changing
  it for every new version since the plugins don't change)

* Fri Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- build for 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- build for 1.0.0

* Mon Aug  7 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- build for 0.10.5
- added stricter version checking for dependencies

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- new package for gkrellm plugins
- gkrellmms 0.5.4
- add gkrellweather 0.2.3
- add volume 0.6
- add mailwatch 0.2
- added slim fetcho email fetching client
- remove seti@home since it never compiles properly
